## golang-github-wader-gojq 0.0~git20220108.b3b9f48

=== Makefile ===
BIN := gojq
VERSION := $$(make -s show-version)
VERSION_PATH := cli
CURRENT_REVISION := $(shell git rev-parse --short HEAD)
BUILD_LDFLAGS := "-s -w -X github.com/itchyny/$(BIN)/cli.revision=$(CURRENT_REVISION)"
GOBIN ?= $(shell go env GOPATH)/bin
SHELL := /bin/bash

.PHONY: all
all: build

.PHONY: build
build:
	go build -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

.PHONY: build-dev
build-dev: parser.go builtin.go
	go build -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

.PHONY: build-debug
build-debug: parser.go builtin.go
	go build -tags debug -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

builtin.go: builtin.jq parser.go.y parser.go query.go operator.go _tools/*
	GOOS= GOARCH= go generate

.SUFFIXES:
parser.go: parser.go.y $(GOBIN)/goyacc
	goyacc -o $@ $<

$(GOBIN)/goyacc:
	@go install golang.org/x/tools/cmd/goyacc@latest

.PHONY: install
install:
	go install -ldflags=$(BUILD_LDFLAGS) ./...

.PHONY: install-dev
install-dev: parser.go builtin.go
	go install -ldflags=$(BUILD_LDFLAGS) ./...

.PHONY: install-debug
install-debug: parser.go builtin.go
	go install -tags debug -ldflags=$(BUILD_LDFLAGS) ./...

.PHONY: show-version
show-version: $(GOBIN)/gobump
	@gobump show -r $(VERSION_PATH)

$(GOBIN)/gobump:
	@go install github.com/x-motemen/gobump/cmd/gobump@latest

.PHONY: cross
cross: $(GOBIN)/goxz CREDITS
	goxz -n $(BIN) -pv=v$(VERSION) -include _$(BIN) \
		-build-ldflags=$(BUILD_LDFLAGS) ./cmd/$(BIN)

$(GOBIN)/goxz:
	go install github.com/Songmu/goxz/cmd/goxz@latest

CREDITS: $(GOBIN)/gocredits go.sum
	go mod tidy
	gocredits -w .

$(GOBIN)/gocredits:
	go install github.com/Songmu/gocredits/cmd/gocredits@latest

.PHONY: test
test: build
	go test -v -race ./...

.PHONY: lint
lint: $(GOBIN)/staticcheck
	go vet ./...
	staticcheck -checks all,-ST1000 -tags debug ./...

$(GOBIN)/staticcheck:
	go install honnef.co/go/tools/cmd/staticcheck@latest

.PHONY: check-tools
check-tools:
	go run _tools/print_builtin.go

.PHONY: clean
clean:
	rm -rf $(BIN) goxz CREDITS
	go clean

.PHONY: update
update: export GOPROXY=direct
update:
	rm -f go.sum && go get -u -d ./... && go get -d github.com/mattn/go-runewidth@v0.0.9 && go mod tidy
	sed -i.bak '/require (/,/)/d' go.dev.mod && rm -f go.dev.{sum,mod.bak}
	go get -u -d -modfile=go.dev.mod github.com/itchyny/{astgen,timefmt}-go && go generate

.PHONY: bump
bump: $(GOBIN)/gobump
ifneq ($(shell git status --porcelain),)
	$(error git workspace is dirty)
endif
ifneq ($(shell git rev-parse --abbrev-ref HEAD),main)
	$(error current branch is not main)
endif
	@gobump up -w "$(VERSION_PATH)"
	git commit -am "bump up version to $(VERSION)"
	git tag "v$(VERSION)"
	git push origin main
	git push origin "refs/tags/v$(VERSION)"

.PHONY: upload
upload: $(GOBIN)/ghr
	ghr "v$(VERSION)" goxz

$(GOBIN)/ghr:
	go install github.com/tcnksm/ghr@latest

## golang-github-wader-gojq 0.0~git20220108.6a05b6c

=== debian/changelog ===
golang-github-wader-gojq (0.0~git20220108.6a05b6c-2) unstable; urgency=medium

  * Team upload.
  * Re-upload as source only

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 17 Feb 2022 14:30:24 -0600

golang-github-wader-gojq (0.0~git20220108.6a05b6c-1) unstable; urgency=medium

  * Initial release (Closes: 1004175)

 -- Daniel Milde <daniel@milde.cz>  Sat, 22 Jan 2022 00:59:00 +0100

=== debian/control ===
Source: golang-github-wader-gojq
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Milde <daniel@milde.cz>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-google-go-cmp-dev,
               golang-github-itchyny-go-flags-dev,
               golang-github-itchyny-timefmt-go-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-stretchr-testify-dev,
               golang-gopkg-yaml.v3-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
Homepage: https://github.com/wader/gojq
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/wader/gojq

Package: golang-github-wader-gojq-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
         golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
         golang-github-mattn-go-isatty-dev (>= 0.0.14),
         golang-github-mattn-go-runewidth-dev (>= 0.0.9),
         golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a),
         ${misc:Depends}
Description: pure Go implementation of jq (library)
 gojq is an implementation of jq command written in Go language.
 You can also embed gojq as a library to your Go products.
 .
 Fork from the github.com/itchyny/gojq project.
 .
 This package contains the github.com/wader/gojq Go library.

## golang-github-wader-gojq 0.0~git20220108.b3b9f48

=== debian/changelog ===
golang-github-wader-gojq (0.0~git20220108.b3b9f48-1) unstable; urgency=medium

  [ itchyny ]
  * improve test of number query for integer with leading 0
  * reduce type switch on normalizing numbers
  * specify all staticcheck checks but ST1000 in make lint
  * improve test of tonumber function for large numbers
  * update copyright year in LICENSE
  * optimize path copy of json stream
  * update list of features gojq does not support intentionally
  * fix precedence of try against operators (fix #157)
  * support equal sign in short options with argument (fix #158)
  * fix string conversion of empty strings in module and import metadata
  * refactor parsing short flags
  * tweak test case of update operators
  * improve test cases for nesting function with labels
  * add test cases for nil check in branch optimization
  * fix compiling iterator suffix with optional operator
  * add a test case for optional operator after object optional index
  * replace large number with infinite in tests for limit and isempty
  * improve performance of isempty by self-contained definition
  * add a note on string indexing in README.md (close #160)
  * simplify test cases using unnecessary variable binding
  * simplify test cases for infinite
  * update dependencies
  * update CHANGELOG.md for v0.12.7
  * bump up version to 0.12.7
  * move sortItems function to appropriate position
  * improve definition of paths functions
  * omit -arch flag of goxz
  * improve mktime to support nanoseconds, just like gmtime and now
  * add a note on nanoseconds support in README.md
  * improve definitions of all and any by select
  * update actions version
  * add a function to collect map keys for keys/0 and add/0
  * improve performance of to_entries function
  * improve performance of from_entries function
  * improve type error of reverse
  * improve from_entries to ignore false in keys for compatibility
  * improve type error of csv and tsv formats
  * improve performance of indices, index, and rindex
  * fix result order of gsub (fix #163)
  * improve performance of capture, sub, and gsub

  [ Mattias Wadman ]
  * no error on missing key regression for from_entries

  [ itchyny ]
  * remove pc() method of compiler by inlining it
  * improve performance of flatten
  * compile builtin functions in the isolated scope (fix #165)
  * stop normalizing builtin function names to skip unnecessary lookup
  * reduce allocations on compiling binding patterns
  * parse string literal as JSON to support surrogate pairs (fix #166)
  * rename in string lexer
  * optimize safe character detection in JSON string encoders
  * update document of Marshal to cover all differences against json.Marshal
  * improve query lexer to report invalid escape sequence in string literals
  * refactor string lexer to reduce branching on string with no escape sequences
  * validate unicode escape sequence in the lexer to fix error offset
  * improve query lexer to report unterminated string literals
  * escape newline in string literals just as other control characters

  [ Mattias Wadman ]
  * Rename fq gojq fork to github.com/wader/gojq
  * Add binary, octal and hex litrals
  * Add JQValue interface to support custom values
  * Add scope function to get all functions and varialbes in scope
  * WIP: add scopedump function
  * Query marshal/unmarshal support
  * Export BinopTypeSwitch to make it easier to implement math functions

 -- Daniel Milde <daniel@milde.cz>  Tue, 22 Mar 2022 22:04:40 +0100

## golang-github-wader-gojq 0.0~git20220822.64fe65a

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 BIN := gojq
 VERSION := $$(make -s show-version)
 VERSION_PATH := cli
-CURRENT_REVISION := $(shell git rev-parse --short HEAD)
-BUILD_LDFLAGS := "-s -w -X github.com/itchyny/$(BIN)/cli.revision=$(CURRENT_REVISION)"
+CURRENT_REVISION = $(shell git rev-parse --short HEAD)
+BUILD_LDFLAGS = "-s -w -X github.com/itchyny/$(BIN)/cli.revision=$(CURRENT_REVISION)"
 GOBIN ?= $(shell go env GOPATH)/bin
 SHELL := /bin/bash
 
@@ -19,7 +19,7 @@
 
 .PHONY: build-debug
 build-debug: parser.go builtin.go
-	go build -tags debug -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)
+	go build -tags gojq_debug -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)
 
 builtin.go: builtin.jq parser.go.y parser.go query.go operator.go _tools/*
 	GOOS= GOARCH= go generate
@@ -41,11 +41,11 @@
 
 .PHONY: install-debug
 install-debug: parser.go builtin.go
-	go install -tags debug -ldflags=$(BUILD_LDFLAGS) ./...
+	go install -tags gojq_debug -ldflags=$(BUILD_LDFLAGS) ./...
 
 .PHONY: show-version
 show-version: $(GOBIN)/gobump
-	@gobump show -r $(VERSION_PATH)
+	@gobump show -r "$(VERSION_PATH)"
 
 $(GOBIN)/gobump:
 	@go install github.com/x-motemen/gobump/cmd/gobump@latest
@@ -72,7 +72,7 @@
 .PHONY: lint
 lint: $(GOBIN)/staticcheck
 	go vet ./...
-	staticcheck -checks all,-ST1000 -tags debug ./...
+	staticcheck -checks all -tags gojq_debug ./...
 
 $(GOBIN)/staticcheck:
 	go install honnef.co/go/tools/cmd/staticcheck@latest
@@ -89,23 +89,18 @@
 .PHONY: update
 update: export GOPROXY=direct
 update:
-	rm -f go.sum && go get -u -d ./... && go get -d github.com/mattn/go-runewidth@v0.0.9 && go mod tidy
-	sed -i.bak '/require (/,/)/d' go.dev.mod && rm -f go.dev.{sum,mod.bak}
+	go get -u -d ./... && go mod tidy
+	go mod edit -modfile=go.dev.mod -droprequire=github.com/itchyny/{astgen,timefmt}-go
 	go get -u -d -modfile=go.dev.mod github.com/itchyny/{astgen,timefmt}-go && go generate
 
 .PHONY: bump
 bump: $(GOBIN)/gobump
-ifneq ($(shell git status --porcelain),)
-	$(error git workspace is dirty)
-endif
-ifneq ($(shell git rev-parse --abbrev-ref HEAD),main)
-	$(error current branch is not main)
-endif
+	test -z "$$(git status --porcelain || echo .)"
+	test "$$(git branch --show-current)" = "main"
 	@gobump up -w "$(VERSION_PATH)"
 	git commit -am "bump up version to $(VERSION)"
 	git tag "v$(VERSION)"
-	git push origin main
-	git push origin "refs/tags/v$(VERSION)"
+	git push --atomic origin main tag "v$(VERSION)"
 
 .PHONY: upload
 upload: $(GOBIN)/ghr

=== debian/changelog ===
golang-github-wader-gojq (0.0~git20220822.64fe65a-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Sat, 29 Oct 2022 20:38:03 +0200

## golang-github-wader-gojq 0.0~git20221221.13a04d6

=== debian/changelog ===
golang-github-wader-gojq (0.0~git20221221.13a04d6-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Fri, 06 Jan 2023 17:28:43 +0100

## golang-github-wader-gojq 0.0~git20230131.53cfdef

=== debian/changelog ===
golang-github-wader-gojq (0.0~git20230131.53cfdef-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Sun, 26 Feb 2023 21:38:28 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/wader/gojq/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-wader-gojq 0.0~git20231105.2b6d9e2

=== debian/changelog ===
golang-github-wader-gojq (0.0~git20231105.2b6d9e2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.0~git20231105.2b6d9e2 (tagged fq-v0.9.0)
  * Set debian/watch to track the git repository HEAD
  * Fix Vcs-Browser and Vcs-Git which were incorrectly set to
    https://salsa.debian.org/go-team/packages/gojq instead of
    https://salsa.debian.org/go-team/packages/golang-github-wader-gojq
  * Reorder fields in debian/control and debian/copyright
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Revise package description so that the single-line synopsis
    is not identical to that of the golang-github-itchyny-gojq-dev

 -- Anthony Fok <foka@debian.org>  Wed, 20 Dec 2023 07:33:43 -0700

=== debian/control ===
Source: golang-github-wader-gojq
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Milde <daniel@milde.cz>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.19~),
               golang-github-google-go-cmp-dev (>= 0.5.4),
               golang-github-itchyny-timefmt-go-dev (>= 0.1.5),
               golang-github-mattn-go-isatty-dev (>= 0.0.19),
               golang-github-mattn-go-runewidth-dev (>= 0.0.14),
               golang-gopkg-yaml.v3-dev (>= 3.0.1)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-wader-gojq
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-wader-gojq.git
Homepage: https://github.com/wader/gojq
XS-Go-Import-Path: github.com/wader/gojq

Package: golang-github-wader-gojq-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
         golang-github-itchyny-timefmt-go-dev (>= 0.1.5),
         golang-github-mattn-go-isatty-dev (>= 0.0.19),
         golang-github-mattn-go-runewidth-dev (>= 0.0.14),
         golang-gopkg-yaml.v3-dev (>= 3.0.1),
         ${misc:Depends}
Description: fork of the gojq library for fq
 gojq is an implementation of jq command written in Go language.
 You can also embed gojq as a library to your Go products.
 .
 Forked from the github.com/itchyny/gojq project for fq, a tool
 language and decoders for working with binary data.
 .
 This package contains the github.com/wader/gojq Go library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd
export DH_GOLANG_INSTALL_EXTRA := builtin.jq cli/test.yaml

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/wader/gojq \
  HEAD

#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/"
#  https://github.com/wader/gojq/tags .*/fq-v(\d\S*)\.tar\.gz debian
